﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected DataSet populateWHDG()
    {
        DataSet ds = new DataSet();
        DataTable Parent = new DataTable();
        Parent.TableName = "Parent";
        DataTable Child = new DataTable();
        Child.TableName = "Child";

        Parent.Columns.Add("ID");
        Parent.Columns.Add("Name");

        DataColumn[] col = new DataColumn[1];
        col[0] = Parent.Columns["ID"];
        Parent.PrimaryKey = col;

        DataRow row = Parent.NewRow();
        row.SetField<int>("ID", 0);
        row.SetField<string>("Name", "Alice");
        Parent.Rows.Add(row);

        //row = Parent.NewRow();
        //row.SetField<int>("ID", 1);
        //row.SetField<String>("Name", "Bob");
        //Parent.Rows.Add(row);


        Child.Columns.Add("ID");
        Child.Columns.Add("Address");
        Child.Columns.Add("Count", typeof(int));

        row = Child.NewRow();
        row.SetField<int>("ID", 0);
        row.SetField<string>("Address", "Paris");
        row.SetField<int>("Count", 5);
        Child.Rows.Add(row);

        //row = Child.NewRow();
        //row.SetField<int>("ID", 1);
        //row.SetField<string>("Address", "Rome");
        //row.SetField<int>("Count", 9);
        //Child.Rows.Add(row);

        //row = Child.NewRow();
        //row.SetField<int>("ID", 1);
        //row.SetField<string>("Address", "London");
        //row.SetField<int>("Count", 2);
        //Child.Rows.Add(row);

        row = Child.NewRow();
        row.SetField<int>("ID", 0);
        row.SetField<string>("Address", "LosAngeles");
        row.SetField<int>("Count", 9);
        Child.Rows.Add(row);

        ds.Tables.Add(Parent);
        ds.Tables.Add(Child);


        DataRelation relation = new DataRelation("IDRelation", Parent.Columns["ID"], Child.Columns["ID"]);
        ds.Relations.Add(relation);

        return ds;

    }

      protected DataSet populateWHDG1()
    {
        DataSet ds = new DataSet();
        DataTable Parent = new DataTable();
        Parent.TableName = "Parent";
        DataTable Child = new DataTable();
        Child.TableName = "Child";

        Parent.Columns.Add("ID");
        Parent.Columns.Add("Name");

        DataColumn[] col = new DataColumn[1];
        col[0] = Parent.Columns["ID"];
        Parent.PrimaryKey = col;

        DataRow row = Parent.NewRow();
        row.SetField<int>("ID", 0);
        row.SetField<string>("Name", "Alice");
        Parent.Rows.Add(row);

        //row = Parent.NewRow();
        //row.SetField<int>("ID", 1);
        //row.SetField<String>("Name", "Bob");
        //Parent.Rows.Add(row);


        Child.Columns.Add("ID");
        Child.Columns.Add("Address");
        Child.Columns.Add("Count", typeof(int));

        row = Child.NewRow();
        row.SetField<int>("ID", 0);
        row.SetField<string>("Address", "Paris");
        row.SetField<int>("Count", 5);
        Child.Rows.Add(row);

        //row = Child.NewRow();
        //row.SetField<int>("ID", 1);
        //row.SetField<string>("Address", "Rome");
        //row.SetField<int>("Count", 9);
        //Child.Rows.Add(row);

        //row = Child.NewRow();
        //row.SetField<int>("ID", 1);
        //row.SetField<string>("Address", "London");
        //row.SetField<int>("Count", 2);
        //Child.Rows.Add(row);

        row = Child.NewRow();
        row.SetField<int>("ID", 0);
        row.SetField<string>("Address", "LosAngeles");
        row.SetField<int>("Count", 9);
        Child.Rows.Add(row);

        ds.Tables.Add(Parent);
        ds.Tables.Add(Child);


        DataRelation relation = new DataRelation("IDRelation", Parent.Columns["ID"], Child.Columns["ID"]);
        ds.Relations.Add(relation);

        return ds;

    }
    protected void Page_Load(object sender, EventArgs e)
    {
        this.WebHierarchicalDataGrid1.DataSource = populateWHDG();
        this.WebHierarchicalDataGrid1.DataBind();

        DataTable dt = populateWHDG().Tables[0];

        this.WebHierarchicalDataGrid2.DataSource = populateWHDG1();
        this.WebHierarchicalDataGrid2.DataBind();

    }
    protected void WebHierarchicalDataGrid1_RowUpdating(object sender, Infragistics.Web.UI.GridControls.RowUpdatingEventArgs e)
    {
        
    }
    protected void WebHierarchicalDataGrid2_RowUpdating(object sender, Infragistics.Web.UI.GridControls.RowUpdatingEventArgs e)
    {
       
    }
}